package cn.edu.whu.boot.allocation.entities;

import java.io.Serializable;

public class TaskCellData implements Serializable{

    private static final long serialVersionUID = -5939625198144474917L;
    private Integer id;

    private Integer taskId;

    private String tableName;

    private Long dataId;

    private String cellGeohash;

    public TaskCellData() {
    }

    public TaskCellData(Integer taskId, String tableName, Long dataId, String cellGeohash) {
        this.taskId = taskId;
        this.tableName = tableName;
        this.dataId = dataId;
        this.cellGeohash = cellGeohash;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTaskId() {
        return taskId;
    }

    public void setTaskId(Integer taskId) {
        this.taskId = taskId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Long getDataId() {
        return dataId;
    }

    public void setDataId(Long dataId) {
        this.dataId = dataId;
    }

    public String getCellGeohash() {
        return cellGeohash;
    }

    public void setCellGeohash(String cellGeohash) {
        this.cellGeohash = cellGeohash;
    }
}
